#include "prop/GroupBoxPropDialog.h"

#define Inherited WidgetPropDialog

GroupBoxPropDialog::GroupBoxPropDialog
(
    DlgWidget*	widget,
    QWidget*	parent,
    const char*	name
)
    :
    Inherited( widget, parent, name ),
    itsFramePage( widget, this, name ),
    itsGroupBoxPage( widget, this, name )
{
    ASSERT( widget->GetType() == DlgWidget::DW_GroupBox );

    addTab( &itsFramePage, "Frame" );
    addTab( &itsGroupBoxPage, "Group Box" );
}


GroupBoxPropDialog::~GroupBoxPropDialog()
{
}


void GroupBoxPropDialog::Apply()
{    
    itsFramePage.Apply( itsDlgWidget );
    itsGroupBoxPage.Apply( itsDlgWidget );

    Inherited::Apply();
}
